---
lang: en
title: 'API docs: rest.restcomponent._constructor_'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.restcomponent._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RestComponent](./rest.restcomponent.md) &gt; [(constructor)](./rest.restcomponent._constructor_.md)

## RestComponent.(constructor)

Constructs a new instance of the `RestComponent` class

**Signature:**

```typescript
constructor(app: Application, config?: RestComponentConfig);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  app | [Application](./core.application.md) |  |
|  config | [RestComponentConfig](./rest.restcomponentconfig.md) | _(Optional)_ |


